ANSEL(1)

NAME
ansel - ein Programm für den digitalen Fotografie-Workflow

ÜBERSICHT
    ansel [Optionen] [IMG_1234.{RAW,...}|Bildverzeichnis/]

Optionen:

    --cachedir <user cache directory>
    --conf <key>=<value>
    --configdir <user config directory>
    -d {all,cache,camctl,camsupport,control,dev,fswatch,history,imageio,input,
        ioporder,lighttable,lua,masks,memory,nan,opencl,params,perf,pipe,
        pwstorage,print,signal,sql,undo}
    --datadir <data directory>
    --disable-opencl
    -h, --help
    --library <library file>
    --localedir <locale directory>
    --luacmd <lua command>
    --moduledir <module directory>
    --noiseprofiles <noiseprofiles json file>
    -t <num openmp threads>
    --tmpdir <tmp directory>
    --version

BESCHREIBUNG
ansel ist ein Programm für den digitalen Fotografie-Workflow unter Linux, Mac OS X und verschiedenen anderen Unices.

Die Anwendung wurde entwickelt um das Verwalten und Bearbeiten großer Fotosammlungen zu erleichtern. Es bietet einen einfach zu benutzenden digitalen Leuchttisch und einen Satz ausgeklügelter Bearbeitungswerkzeuge.

Die meisten Bearbeitungsschritte werden mit 32-Bit-Fließkommagenauigkeit im CIE L*a*b*-Farbraum durchgeführt. Außerdem nutzt ansel durchgehend Farbmanagement und erlaubt so eine vollständige Kontrolle über das Aussehen der Fotos.

Die Anwendung setzt auf eine moderne Plug-In-Architektur, was es externen Entwicklern ermöglicht, die Funktionalität des Programms zu erweitern. Alle Leuchttisch- und Dunkelkammeroperationen sind als Plug-Ins implementiert, so dass zusätzliche Plug-Ins auf existierenden Code zurückgreifen können. Die meisten Workflow-Schritte können auch in Lua gescripted werden.

OPTIONEN

IMG_1234.RAW oder Bildverzeichnis/
    Sie können optional Dateinamen von Bilddateien oder Namen von Ordnern mit Bildern übergeben. Wenn ein einzelner Dateiname angegeben wurde startet ansel im Dunkelkammermodus und öffnet das Bild. Wenn ein Ordner geöffnet wird dann startet ansel im Leuchttischmodus und importiert den Ordner als aktuelle Sammlung. Wenn ansel bereits läuft (und die gleiche Datenbank benutzt) dann werden die Bilder und Ordner in der bestehenden Instanz geöffnet, wobei D-Bus zur Kommunikation zwischen den Prozessen verwandt wird.

--cachedir <Cacheverzeichnis>
    ansel speichert einen Cache der Vorschaubilder für eine schnellere Anzeige sowie vorübersetzte OpenCL-Binärdateien für einen beschleunigten Programmstart. Standardmäßig befindet sich dieser Cache in "$HOME/.cache/darktable/". Dort können wiederum mehrere Vorschaubilder-Caches liegen - einer pro Datenbankdatei.

--conf <Schlüssel>=<Wert>
    ansel kennt eine Vielzahl von Konfigurationseinstellungen, die der Benutzer in "anselrc" - ansels Konfigurationsdatei im Konfigurationsverzeichnis - festlegen kann. Mit dieser Option können einzelne Einstellung vorrübergehend überschrieben werden - sie werden nicht in "anselrc" gespeichert.

--configdir <Konfigurationsverzeichnis>
    Diese Option legt fest, wo ansel die Benutzereinstellungen speichert. Die Vorgabe ist "$HOME/.config/darktable/".

-d <Debugoption>
    Diese Option aktiviert Debug-Ausgaben im Terminal. ansel hat mehrere Teilsysteme und Ausgaben jedes einzelnen können individuell aktiviert werden. Diese Option kann mehrfach angegeben werden falls Debug-Ausgaben von mehr als einem Bereich erwünscht sind.

    Einige dieser Debug-Optionen sind:

    control
        Aktiviere Debugging der Job-Warteschlange. Wenn ansels Ausgabe in control.log umgeleitet wird, dann kann mit ./tools/create_control_svg.sh control.log in control.svg eine hübsche Visualisierung der Arbeit der einzelnen Threads erzeugt werden.

    cache
        Dies gibt eine Menge and Debug-Informationen über den Vorschaubild-Cache des Leuchttischs. Wenn ansel im Debug-Modus compiliert wurde, dann zeigt dies auch an, wo im Code ein bestimmter Puffer zum letzten Mal gesperrt wurde.

    perf
        Dies hilft beim Messen der Geschwindigkeit der Dunkelkammer-Module. Es führt eine RDTSC-Messung der Laufzeiten aller Module durch und schreibt sie auf die Standardausgabe.

    all Aktiviere alle Debug-Ausgaben. Dies ist im Allgemeinen nicht sehr nützlich.

--datadir <Datenverzeichnis>
    This option defines the directory where ansel finds its runtime data. The default place depends on your installation. Typical places are "/opt/ansel/share/darktable/" and "/usr/share/darktable/".

--disable-opencl
    Verhindere, dass ansel sein OpenCL-System initialisiert. Dies ist hilfreich wenn ansel auf Grund eines defekten OpenCL-Treibers beim Start abstürzt.

-h, --help
    Verfügbare Kommandozeilenargumente anzeigen und beenden.

--library <Datenbankdatei>
    ansel hält Bildinformationen für einen schnellen Zugriff in einer sqlite-Datenbank vor. Der Standardspeicherort dieser Datenbank ist "$HOME/.config/darktable/library.db". Sie können eine alternative Datei angeben, zum Beispiel wenn Sie experimentieren wollen ohne ihre originale library.db in Gefahr zu bringen. Wenn die Datenbankdatei nicht existiert wird ansel sie für Sie anlegen. Sie können auch ":memory:" als Datenbankdatei angeben, dann wird die Datenbank komplett im RAM gehalten - alle Änderungen werden verworfen sobald ansel beendet wird.

--localedir <Übersetzungsverzeichnis>
    The place where ansel finds its language specific text strings. The default place depends on your installation. Typical places are "/opt/ansel/share/locale/" and "/usr/share/locale/".

--luacmd <Lua-Befehl>
    Ein String mit Lua-Befehlen, die ausgeführt werden, sobald Lua initialisiert wurde. Diese Befehle werden nach der "luarc"-Datei abgearbeitet.

    Wenn ansel ohne Lua-Unterstützung übersetzt wurde, dann wird diese Option ignoriert.

--moduledir <Modulverzeichnis>
    ansel hat einen modularen Aufbau und organisiert seine Module als Shared-Libraries, die zur Laufzeit geladen werden. Mit dieser Option können Sie ansel mitteilen, wo es nach diesen Bibliotheken suchen soll. Die Voreinstellung hängt von Ihrer Installation ab; typische Orte sind "/opt/darktable/lib/darktable/" und "/usr/lib/darktable/".

--noiseprofiles <JSON-Datei mit Rauschprofilen>
    ansel's profiled denoise module uses camera specific profile data that gets loaded from an external JSON file. With this option the file to be loaded can be changed to allow testing alternative profiles. The default profile file is "noiseprofiles.json" and is typically found in "/opt/ansel/share/darktable/" or "/usr/share/darktable/".

-t <Anzahl OpenMP-Threads>
    ansel benutzt OpenMP, um die meisten Berechnungen zu parallelisieren und auf die CPU-Kerne zu verteilen. Mit dieser Option kann die Anzahl dieser Threads angegeben werden. Erlaubt sind Werte zwischen 1 und 100.

--tmpdir <tmp-Verzeichnis>
    Der Ort, an dem ansel seine temporären Dateien speichert. Wenn diese Option nicht angegeben wird dann benutzt ansel die Systemvorgabe.

--version
    Die ansel-Version sowie einige wichtige Build-Optionen anzeigen und beenden.

TASTATURBEFEHLE
Alle Ansichten

l   Zur Leuchttisch-Ansicht wechseln

d   Zur Dunkelkammer-Ansicht wechseln

t   Zur Tethering-Ansicht wechseln

m   Zur Karten-Ansicht wechseln

s   Zur Diashow-Ansicht wechseln

p   Zur Drucken-Ansicht wechseln

.   Zwischen Leuchttisch- und Dunkelkammer-Ansicht wechseln

Strg-q
    Beenden

F11 Zwischen Vollbild- und Fensteransicht wechseln

Esc Vollbildansicht verlassen

Strg-h
    Kopfbereich anzeigen/verstecken

Tab Seitenränder anzeigen/verstecken

Leuchttisch-Ansicht

g, Umschalt-g
    Zur ersten, letzten Zeile gehen

Bild Auf, Bild Ab
    Eine Seite hoch, runter gehen

'   Ansicht zentrieren

Runter, Links, Rechts, Hoch
    Runter, links, rechts, hoch scrollen

z   Vorschau

Strg-z
    Vorschau mit Fokuserkennung

F1, F2, F3, F4, F5
    Farbmarkierungen: Rot, Gelb, Grün, Blau und Violett umschalten

1, 2, 3, 4, 5
    Stern-Bewertung

0   Alle Sterne entfernen

r   Als abgelehnt markieren

l   Bilder wieder am Raster ausrichten

Alt-1
    Auf das erste sichtbare Bild zoomen

Alt-2, 3
    Zoom anpassen

Alt-4
    Ganz hinauszoomen

Strg-a
    Alle Bilder auswählen

Strg-Umschalt-a
    Auswahl aufheben

Strg-i
    Auswahl invertieren

Strg-d
    Bild duplizieren

Strg-g, Strg-Umschalt-g
    Ausgewählte Bilder gruppieren/Gruppierung aufheben

Entfernen
    Bild aus der Sammlung entfernen

Strg-c, Strg-Umschalt-c
    Verlauf ganz/teilweise kopieren

Strg-v, Strg-Umschalt-v
    Verlauf ganz/teilweise einfügen

Leertaste
    Auswahl eines Bildes umschalten

Eingabe
    Bild auswählen

Strg-e
    Ausgewählte Bilder exportieren

Strg-k
    Zur vorhergehenden Sammlung zurückspringen

Strg-t
    Öffne ein Popup zum schnellen Taggen eines Bildes

Strg-Umschalt-i
    Ordner importieren

Strg-j
    Springe zur Filmrolle eines Bildes

Dunkelkammer-Ansicht

Alt-1, 2, 3
    Setze die Ansicht entsprechend auf 1:1, bildschirmfüllend und eingepasst

Strg-f
    Filmstreifen anzeigen/verstecken

Leertaste, Rücktaste
    Zu nächstem, vorhergehendem Bild gehen

Strg-e
    Aktuelles Bild exportieren

Strg-c, Strg-Umschalt-c
    Verlauf ganz/teilweise kopieren

Strg-v, Strg-Umschalt-v
    Verlauf ganz/teilweise einfügen

o   Anzeige von über- und unterbelichteten Bereichen umschalten

Strg-g
    Gamutüberprüfung umschalten

Strg-s
    Softproofing umschalten

Eingabe
    Bestätige den Zuschnitt im Zuschneiden und drehen-Modul

[, ]
    Drehe 90 Grad gegen, im Uhrzeigersinn im Drehung-Modul

<, >
    Verringere, erhöhe die Pinseldeckkraft beim Malen von Masken

{, }
    Verringere, erhöhe die Pinselhärte beim Malen von Masken

[, ]
    Verringere, erhöhe die Pinselgröße beim Malen von Masken

Tethering-Ansicht

Strg-f
    Filmstreifen anzeigen/verstecken

v   Live-View umschalten

Karten-Ansicht

Strg-f
    Filmstreifen anzeigen/verstecken

Strg-z
    Rückgängig

Strg-r
    Wiederholen

Filmstreifen (wenn der Cursor über dem Filmstreifen ist)

F1, F2, F3, F4, F5
    Farbmarkierungen: Rot, Gelb, Grün, Blau und Violett umschalten

1, 2, 3, 4, 5
    Stern-Bewertung

0   Alle Sterne entfernen

r   Als abgelehnt markieren

Strg-d
    Bild duplizieren

Strg-a
    Alle Bilder auswählen

Strg-Umschalt-a
    Auswahl aufheben

Strg-i
    Auswahl invertieren

Strg-c, Strg-Umschalt-c
    Verlauf ganz/teilweise kopieren

Strg-v, Strg-Umschalt-v
    Verlauf ganz/teilweise einfügen

Diashow-Ansicht

Leertaste
    Abspielen starten/stoppen

SIEHE AUCH
ansel-cli(1)

WEITERE INFORMATIONEN
Besuchen Sie ansels Website für Neuigkeiten, Blog und Bugtracker: <https://www.darktable.org/>

<https://www.darktable.org/usermanual/> Das komplette ansel-Handbuch (derzeit allerdings nicht auf Deutsch).

anselrc.html An overview over all default config settings. The default place depends on your installation. Typical places are "/opt/ansel/share/doc/darktable/" and "/usr/share/doc/darktable/".

FEHLER MELDEN
Please use the bug tracker on <https://github.com/ansel-org/darktable/issues> to report bugs, feature requests and so on.

AUTOREN
Der Hauptentwickler von ansel ist Johannes Hanika. Die (hoffentlich) vollständige Liste der Mitwirkenden im Projekt ist:

* developers: Pascal Obry johannes hanika Aurélien PIERRE Tobias Ellinghaus Roman Lebedev Henrik Andersson Ulrich Pegelow Aldric Renaudin Pascal de Bruijn Pedro Côrte-Real Jérémy Rosen parafin José Carlos García Sogo Edouard Gomez Stefan Schöfegger Simon Spannagel Peter Budai Alexandre Prokoudine Christian Tellefsen James C. McPherson * translators: Pascal Obry Ger Siemerink Jeronimo Pellegrini Michel Leblond EdgarLux Tobias Ellinghaus Richard Levitte johannes hanika Martin Straeten Henrik Andersson Timur Davletshin bartokk Alexandre Prokoudine tatica Olivier Tribout Simon Spannagel Victor Forsiuk Heiko Bauke Josep V. Moragues Thomas Pryds Matjaž Jeran Nicolas Auffray shlomi braitbart José Carlos Casimiro Matt Maguire Maurizio Paglia Aurélien PIERRE Jakub Filipowicz José Carlos García Sogo Ryo Shinozaki Ulrich Pegelow mepi0011 Báthory Péter Guillaume Marty Jérémy Rosen Milan Knížek Victor Lamoine Alynx Zhou Guilherme Brondani Torri Novy Sawai Kevin Vermassen Marcus Gama Pascal de Bruijn Serkan ÖNDER Dimitrios Psychogios Matteo Mardegan Tomasz Golinski vertama Dušan Kazik thisnamewasnottaken 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Mikko Ruohola Petr Stasiak Stephan Hoek Germano Massullo Philippe Weyland Anocha Yimsiriwattana Marko Vertainen Miloš Komarčević Nazarii Vitak Arch Ont Bernhard Federico Bruni Luca Zulberti Miroslav Fikar Nameless-J Song Li chrisaga lkarcz maruncz Besmir Godole Jacques Le Clerc Ragnar Wisloff Shlomi Alon-Braitbart Tianhao Chai bajdero darktable miroslavfikar mmardegan Alberto Caso Alejandro Criado-Pérez Antony Dovgal Bogusław Ciastek Cyril Richard DWXXX Daniele Giorgis Danilo Bargen Denis Dyakov Denny Biasiolli Diederik ter Rahe Edgar De la Luz František Šidák Gustav Ernberg Hanno Schwalm Jan Friedrich Jean-Luc Coulon (f5ibh) Julian J. M Laurent Guillier Magnus Claesson Marek Vančo MatteoVita Matthieu Moy Mattias Eriksson Michael Moese Michał Prędotka Mik- Pedro Côrte-Real PeterWem Ragnar Wisløff Robert Bieber Simon Raffeiner Tomasz Goliński Wiktor Nowak archont00 asmolero chri cotacot criadoperez igmerti jakubfi mrleemon parafin quovadit sbraitbart zerng07 Łukasz Karcz * contributors (at least 4 commits): Ralf Brown Dan Torop Diederik ter Rahe Philippe Weyland Hanno Schwalm Ger Siemerink Hubert Kowalski Michel Leblond Chris.Elston Jeronimo Pellegrini rawfiner Robert Bieber Nicolas Auffray Andreas Schneider EdgarLux Richard Levitte Heiko Bauke edgardoh Miloš Komarčević Victor Forsiuk Bill Ferguson Alynx Zhou Jean-Sébastien Pédron Martin Straeten Olivier Tribout Mark-64 Bruce Guenter Sakari Kapanen Timur Davletshin bartokk tatica Matthieu Moy Matthieu Volat Rostyslav Pidgornyi Chris Elston Josep V. Moragues Moritz Lipp Thomas Pryds Dennis Gnad Marco Carrarini José Carlos Casimiro Maurizio Paglia Matt Maguire Jakub Filipowicz Daniel Vogelbacher Guillaume Stutin GrahamByrnes David-Tillmann Schaefer Harold le Clément de Saint-Marcq Marco marcel wpferguson HansBull Kaminsky Andrey Matjaž Jeran shlomi braitbart Guilherme Brondani Torri Michal Babej mepi0011 Richard Wonka lhietal quovadit Antony Dovgal Jacques Le Clerc Milan Knížek Sam Smith Ryo Shinozaki Victor Lamoine Jiyone Novy Sawai Rikard Öxler Wolfgang Goetz darkelectron Báthory Péter Guillaume Marty Alexis Mousset Dimitrios Psychogios U-DESKTOP-HQME86Jmarco Vasyl Tretiakov Vincent THOMAS Brian Teague Frédéric Grollier lologor luzpaz Kevin Vermassen Marcus Gama Philipp Lutz Robert Bridge Andrew Toskin Germano Massullo Eckhart Pedersen Felipe Contreras Mikko Ruohola Asma Bernd Steinhauser JohnnyRun Kanstantsin Shautsou Martin Burri Serkan ÖNDER Tomasz Golinski Victor Engmark Wyatt Olson junkyardsparkle thisnamewasnottaken Arnaud TANGUY Benoit Brummer Fabio Heer Loic Guibert Paolo DePetrillo Žilvinas Žaltiena Dušan Kazik Jan Kundrát Jochen Schroeder Matteo Mardegan Petr Styblo Robert William Hutton Roman Khatko Stuart Henderson itinerarium luz paz vertama vrnhgd Ammon Riley Chris Hodapp David Bremner Gaspard Jankowiak Ivan Tarozzi Jim Robinson Marcello Mamino Marcus Rückert Richard Hughes calca elstoc 篠崎亮　Ryo Shinozaki Artur de Sousa Rocha Cherrot Luo Christian Himpel Denis Dyakov Dominik Markiewicz Guillaume Benny Harald Jesper Pedersen K. Adam Christensen Maximilian Trescher Petr Stasiak Pierre Lamot Sergey Pavlov Stephan Hoek Wolfgang Mader grand-piano piratenpanda solarer Alexander V. Smal Andrea Volpato August Schwerdfeger JP Verrue Johanes Schneider Karl Mikaelsson Luca Zulberti Matthias Gehre Matthias Vogelgesang Simon Legner Tianhao Chai Torsten Bronger matt-maguire Alban Gruin Alexander Clausen Anocha Yimsiriwattana Apfelkraut Bernhard Erik Gustavsson Federico Bruni Frank Loemker Jake Probst Joao Trindade Mario Lueder Marko Vertainen Nazarii Vitak Paolo Benvenuto Raphael Manfredi Ricky Moon Ronny Kahl Stéphane Gourichon Togan Muftuoglu Tom Vijlbrief Will Bennett hal maruncz sjjh * Sub-module rawspeed contributors (at least 1 commit): Roman Lebedev Klaus Post Pedro Côrte-Real Miloš Komarčević Axel Waggershauser Stefan Schöfegger Pascal de Bruijn Jordan Neumeyer Anders Brander Robert Bridge Stefan Löffler Pascal Obry Stefan Hoffmeister parafin Dan Torop Georg Lukas Thomas Baumann Daniel Vogelbacher Hanno Schwalm Matthieu Volat Philipp Lutz Tobias Ellinghaus Victor Forsiuk luz.paz Hubert Kowalski Louie Lu Virgile Bello bobobo1618 johannes hanika Bill Ferguson Howard Liberty Marko Toplak Martijn Courteaux Matt Maguire Nathaniel Watson Robert Bieber Yattaro al luz paz maruncz -cr Alex Tutubalin Andreas Schneider Artemis Tosini Bastian Bechtold Benjamin Erb David Korczynski David-Tillmann Schaefer Elizeu Santos Frank Loemker Georg Niedrist Jan Šmucr Jorge Nerín Josef Raschen Julien Nabet LibRaw LLC Marcel Bollmann Marco Caimi Marco Ristuccia Martin Straeten Massimo Paladin Matthias Gehre Michael Allman Michal Čihař Milos Komarcevic Omari Stephens Peter Budai PeterWem Philipp Normann Ryan Gillette Shita Yuuma Simon Raffeiner Sprite Tino H. Seifert Uwe Müssel Vasily Khoruzhick Zanhard aferrero2707 chrunchyjesus dllu frantic1048 helloqiu jas01 junkyardsparkle ponkotuy squid-f ubergeek801 Šarūnas Burdulis * Sub-module OpenCL contributors (at least 1 commit): Ben Ashbaugh James Price Kévin Petit Lee Howes Jakub Szuppe bashbaug Bartosz Sochacki Rob Elliott = Kevin Petit affie Richard Ruigrok Jeremy Kemp Kedar Patil neheb patilkedar Alexei Bourd Nagy-Egri Máté Ferenc Rosen Penev robquill takanokage Ewan Crawford John Plate Jon Leech Martin Kelly Umair Ahmed abestephens Alastair Murray Alex Bourd Brice Videau Einar Hov Khronos Group Webmaster Mikhail Lychkov Milkey Mouse Nuno Fachada Pierre Moreau Sreelakshmi Haridas Timmy Liu XZiar fodinabor oddhack pkubaj y-novikov * Sub-module libxcf contributors (at least 1 commit): Tobias Ellinghaus * Sub-module whereami contributors (at least 1 commit): Gregory Pakosz Jan Beich Ian Burgan Jean-Michaël Celerier Sergey Agievich Thomas Willems * Sub-module LibRaw contributors (at least 1 commit): Alex Tutubalin Iliah Borg lexa LibRaw LLC Alex Tutubalin, LibRaw LLC Jamie Pinheiro jabbervorx Joan Karadimov Miloš Komarčević Tim Harder Dirk Lemstra Gilles Caulier Luca Falavigna Mark Reid maslbl4 Aleks L Andreas K. Huettel (dilfridge) Daniel Kaneider Mario Emmenlauer Nuno Cruces Philip Ries Vincent Torri corec 龙俊良 Alex Alex Gaynor Alex Tutubalin @Mac Arkady Shapkin Artur Bernd Kuhls Daniel Martinez Daniel Rosser Dave Stevenson David C. Partridge Fabien Castan Fabrice Fontaine Haishan Zhong Heiko Becker John Hein Kevin Wojniak Pablo Sichert Paolo Barbolini Petr Minář Pino Toscano Přemysl Eric Janouch Rafael Sadowski Sam James Sam Whited TOMIKAWA Sotaro Thomas Petazzoni Tomi Aarnio Tracy Wadleigh Z. Liu iliah kapankov kmilos luz paz psykose robert hasson sashashura ssssota vladimirovich * Sub-module doxygen-awesome-css contributors (at least 1 commit): jothepro Johannes Krafft Markus Napp Andrea Pappacoda Andy Maloney Ayush Chamoli Bernd Riederer David Álvarez Rosa Eritque arcus Leger Charlie Liviu Ionescu Michael R. Crusoe Murillo Teixeira OkawaYusuke Thibaud Chupin Timo Koch Volker Enderlein William Roy patricklaf And all those of you that made previous releases possible

Diese Manpage wurde von Alexandre Prokoudine <alexandre.prokoudine@gmail.com> und Richard Levitte <richard@levittr.org> geschrieben. Sie wurde von Tobias Ellinghaus <me@houz.org> erweitert. Die deutsche Übersetzung wurde von Tobias Ellinghaus <me@houz.org> erstellt.

GESCHICHTE
Das Projekt wurde von Johannes Hanika Anfang 2009 gestartet um die Lücke (oder eher das schwarze Loch) bezüglich eines digitalen Fotografie-Workflow-Programms unter Linux zu füllen.

URHEBERRECHT UND LIZENZ
Copyright (C) 2009-2017 durch die Autoren.

ansel ist freie Software; Sie dürfen es zu den Bedingungen der GPL v3 oder (nach Ihrer Wahl) irgendeiner späteren Version weiterverbreiten und / oder verändern.